
From: Dave Hansen <haveblue@us.ibm.com>

On i386, early_pfn_to_nid() is only defined when discontig.c is compiled
in.  The current dependency doesn't reflect this, probably because the
default i386 config doesn't allow for SPARSEMEM without NUMA.

But, we'll need SPARSEMEM && !NUMA for memory hotplug, and I do this for
testing anyway.

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andy Whitcroft <apw@shadowen.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/Kconfig |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/i386/Kconfig~sparsemem-memory-model-fix-5 arch/i386/Kconfig
--- 25/arch/i386/Kconfig~sparsemem-memory-model-fix-5	2005-06-05 23:00:36.000000000 -0700
+++ 25-akpm/arch/i386/Kconfig	2005-06-05 23:00:36.000000000 -0700
@@ -813,6 +813,7 @@ source "mm/Kconfig"
 config HAVE_ARCH_EARLY_PFN_TO_NID
 	bool
 	default y
+	depends on NUMA
 
 config HIGHPTE
 	bool "Allocate 3rd-level pagetables from highmem"
_
